edu.whs.spin2018.baoapp.views.menues

## Interface SpieleinstellungenContract.View

- All Superinterfaces:
    BaseView<SpieleinstellungenContract.Presenter>
  All Known Implementing Classes:
    SpieleinstellungenActivity
  Enclosing interface:
    SpieleinstellungenContract

      public static interface SpieleinstellungenContract.View
      extends BaseView<SpieleinstellungenContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setzeBereitButtonsAktiv(boolean aktiv)` Ermöglicht das Klicken auf den Bereit Button des Spielers.
    `void` | `starteSpiel(java.lang.String zeittyp, java.lang.String gegnername, java.lang.String raum, int minutenIndex, int sekundenIndex)` Startet das Spiel auf Basis der eingestellten Zeiten.
    `void` | `versteckeSpinner()` Blendet die Spinner zur Auswahl der Zeit aus.
    `void` | `zeigeGegnerHatEinstellungenVerlassen()` Zeigt dem Spieler an, dass der Gegner die Spieleinstellungen verlassen hat
    `void` | `zeigeGegnerIstBereit(boolean istBereit)` Zeigt den Bereitstatus des Gegners an.
    `void` | `zeigeGegnerZeittyp(java.lang.String zeittyp)` Zeigt den vom Gegner gewaehlten Zeittyp an.
    `void` | `zeigeNeueGegnerMinuten(int minutenIndex)` Zeigt die vom Gegner gewaehlten Minuten.
    `void` | `zeigeNeueGegnerSekunden(int sekundenIndex)` Zeigt die vom Gegner gewaehlten Sekunden.
    `void` | `zeigeSpielerIstBereit(boolean istBereit)` Zeigt den Bereitstatus des Spielers an.
    `void` | `zeigeSpielerZeittyp(java.lang.String zeittyp)` Zeigt den vom Spieler gewaehlten Zeittyp an.
    `void` | `zeigeSpinner(java.lang.String zeittyp)` Zeigt bei gleichem Zeittyp (außer bei "OhneZeit") die Spinner zur Auswahl der Zeit an.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.views.BaseView

      `initView, setzePresenter`

- - ### Method Detail

    - #### zeigeGegnerZeittyp

          void zeigeGegnerZeittyp(java.lang.String zeittyp)

      Zeigt den vom Gegner gewaehlten Zeittyp an.
      Parameters:
        `zeittyp` - - vom Gegner gewaehlter Zeittyp

    - #### zeigeSpielerIstBereit

          void zeigeSpielerIstBereit(boolean istBereit)

      Zeigt den Bereitstatus des Spielers an.
      Parameters:
        `istBereit` - - true genau dann, wenn der Spieler bereit ist

    - #### zeigeGegnerIstBereit

          void zeigeGegnerIstBereit(boolean istBereit)

      Zeigt den Bereitstatus des Gegners an.
      Parameters:
        `istBereit` - - true genau dann, wenn der Spieler bereit ist

    - #### zeigeNeueGegnerMinuten

          void zeigeNeueGegnerMinuten(int minutenIndex)

      Zeigt die vom Gegner gewaehlten Minuten.
      Parameters:
        `minutenIndex` - - Index der vom Gegner gewaehlten Minuten im Spinner Array

    - #### zeigeNeueGegnerSekunden

          void zeigeNeueGegnerSekunden(int sekundenIndex)

      Zeigt die vom Gegner gewaehlten Sekunden.
      Parameters:
        `sekundenIndex` - - Index der vom Gegner gewaehlten Minuten im Spinner Array

    - #### zeigeGegnerHatEinstellungenVerlassen

          void zeigeGegnerHatEinstellungenVerlassen()

      Zeigt dem Spieler an, dass der Gegner die Spieleinstellungen verlassen hat

    - #### zeigeSpielerZeittyp

          void zeigeSpielerZeittyp(java.lang.String zeittyp)

      Zeigt den vom Spieler gewaehlten Zeittyp an.
      Parameters:
        `zeittyp` - - vom Spieler gewaehlter Zeittyp

    - #### zeigeSpinner

          void zeigeSpinner(java.lang.String zeittyp)

      Zeigt bei gleichem Zeittyp (außer bei "OhneZeit") die Spinner zur Auswahl der Zeit an.
      Parameters:
        `zeittyp` - - Zeittyp, fuer den die Spinner angzeigt werden sollen.

    - #### versteckeSpinner

          void versteckeSpinner()

      Blendet die Spinner zur Auswahl der Zeit aus.

    - #### setzeBereitButtonsAktiv

          void setzeBereitButtonsAktiv(boolean aktiv)

      Ermöglicht das Klicken auf den Bereit Button des Spielers.
      Parameters:
        `aktiv` - - true, genau dann wenn der Button des Spielers klickbar sein soll

    - #### starteSpiel

          void starteSpiel(java.lang.String zeittyp,
                           java.lang.String gegnername,
                           java.lang.String raum,
                           int minutenIndex,
                           int sekundenIndex)

      Startet das Spiel auf Basis der eingestellten Zeiten.
      Parameters:
        `zeittyp` - - Zeittyp des Spiels
        `gegnername` - - Name des Gegners
        `raum` - - Raum, in dem die Nachrichten der Spieler ausgetauscht werden sollen
        `minutenIndex` - - Index der Minutenauswahl
        `sekundenIndex` - - Index der Sekundenauswahl